/*
 * checkerberry test center - https://www.checkerberry.de
 *
 * Copyright (c) 2010 ConceptPeople consulting gmbh
 *
 * Lizenziert unter der EUPL, Version 1.1 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/software/page/eupl5
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.conceptpeople.checkerberry.web.example.test;

import de.conceptpeople.checkerberry.web.environment.DefaultWebConfiguration;
import de.conceptpeople.checkerberry.web.remote.RemoteControlSelection;

/**
 * Führt die Tests mit WebDriver aus.
 */
public class WebDriverGuiTest extends AbstractExampleGuiTest {

    /**
     * {@inheritDoc}.
     */
    protected DefaultWebConfiguration createWebConfiguration() {
        ExampleWebConfiguration configuration = new ExampleWebConfiguration();
        // Als Fernsteuerung wird explizit WebDriver ausgewählt. Dabei ist zu
        // beachten, dass für viele Browser separate WebDriver-Installationen
        // erforderlich sind.
        configuration.setRemoteControlSelection(RemoteControlSelection.WebDriver);
        return configuration;
    }

}
